Bug 176323 - Installing the selinux-policy-targeted and -mls complains about non-module
Installing the selinux-policy-targeted and -mls complains about non-module
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: selinux-policy-targeted (Show other bugs)
rawhide
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Daniel Walsh
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-12-21 09:07 EST by Horst H. von Brand
Modified: 2007-11-30 17:11 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-01-04 11:18:12 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Horst H. von Brand 2005-12-21 09:07:51 EST
Description of problem:
When installing selinux-policy-targeted and selinux-policy-mls I get the error
message:

   libsemanage.parse_module_headers: Data did not represent a module.

Version-Release number of selected component (if applicable):
selinux-policy-targeted-2.1.6-13

How reproducible:
For the last few updates of the policies

Steps to Reproduce:
1.
2.
3.
  
Actual results:
Stated message

Expected results:
Silence...

Additional info:
Comment 1 Willem Riede 2005-12-30 20:03:14 EST
on x86_64 (opteron) too, still, as I just upgraded to 2.1.6-18
Comment 2 Doug Henderson 2006-01-03 17:46:57 EST
I am getting this error with selinux-policy-targeted-2.1.6.19 and
selinux-policy-targeted-2.1.6.22 (depending on which mirror I hit).

I am on a Sempron 2800+ with all FC5 rawhide updates through 2006.01.02 plus
some from 2006.01.03. I have kernel 1807 (still) installed.

To resolve this, I tried
yum remove selinux-policy-targeted.noarch
yum install selinux-policy-targeted.noarch

(again depending on which mirror I hit, I ended up reinstalling either 2.1.6.19
or 2.1.6.22)

After this failure, on reboot, my symptoms are similar (perhaps even identical
to) those described in https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=176839
System will boot with selinux=0


Comment 3 Jason 2006-01-04 10:16:04 EST
fixed in selinux-policy-targeted-2.1.6-24
Comment 4 Doug Henderson 2006-01-04 19:56:23 EST
This works for me.

I installed selinux-policy-targeted.noarch 2.1.6-24, reboot (with a few selinux
messages), touched /.autorelabel and rebooted again. System now boots without
problems.
 

Note You need to log in before you can comment on or make changes to this bug.